# IMFDialogPart Struct Reference
[MCFrame]

Inheritance diagram for IMFDialogPart:

List of all members.

## Public Member Functions
virtual void MCCOMAPI | SetOKButtonFirstResponder (boolean value)=0
virtual boolean MCCOMAPI | Go ()=0
virtual boolean MCCOMAPI | Go (IDType &resultButtonID)=0
virtual boolean MCCOMAPI | Go (IDType &resultButtonID, boolean &inSkipFlag)=0
virtual void MCCOMAPI | Finished ()=0
virtual IMFWindow *MCCOMAPI | GetThisWindow ()=0

## Detailed Description

The interface to access dialogs

To create your own dialog, you can use the following code:

     // load the dialog from a resource.

     TMCCountedPtr<IMFPart> dialog;
     gPartUtilities->CreatePartByResource(&dialog,kMFDialogResourceType,dialogResID);
     ThrowIfNil(dialog);

     TMCCountedPtr<IMFDialogPart> dialogPart;
     dialog->QueryInterface(IID_IMFDialogPart, (void**)&dialogPart);
     ThrowIfNil(dialogPart);

     dialogPart->Go(); // opens the dialog

     dialogPart->Finished();

## Member Function Documentation

virtual void MCCOMAPI IMFDialogPart::Finished | ( |  | ) | `[pure virtual]`

Should be called before before destroying the dialog object.

virtual IMFWindow* MCCOMAPI IMFDialogPart::GetThisWindow | ( |  | ) | `[pure virtual]`

Returns the interface to IMFWindow (always supported by IMFDialogPart)

virtual boolean MCCOMAPI IMFDialogPart::Go | ( | IDType & | resultButtonID,
|  | boolean & | inSkipFlag |
| ) |  |  | `[pure virtual]`

Opens the dialog. Returns once the dialog has been closed.

virtual boolean MCCOMAPI IMFDialogPart::Go | ( | IDType & | resultButtonID | ) | `[pure virtual]`

Opens the dialog. Returns once the dialog has been closed.

virtual boolean MCCOMAPI IMFDialogPart::Go | ( |  | ) | `[pure virtual]`

Opens the dialog. Returns once the dialog has been closed.

virtual void MCCOMAPI IMFDialogPart::SetOKButtonFirstResponder | ( | boolean | value | ) | `[pure virtual]`

is called to set the flag

The documentation for this struct was generated from the following file:

- IMFDialogPart.h